1. offers
Paralleg
  • v1
    • attributes
      • car
        • Get Brands
        • Get Models
        • Get Types
    • categories
      • Get Categories
      • Get Category
      • Get Category Parameters
      • Get Listing Filters
      • Get Listing Filter Values
    • listing
      • Listing Lookup
      • Get Listing Sorting Options
    • offers
      • subscription
        • Get Subscription
        • Subscribe
        • Unsubscribe
      • Offer Lookup
        POST
      • Get Offer
        GET
      • Get Offer By External ID
        GET
      • Get Offer Text
        GET
      • Get Offer Images
        GET
    • images
      • Image
      • Image redirect
      • Proxy image content in original size
      • Proxy image content resized
  • Get request info
    GET
  • Schemas
    • v1
      • Offers
        • Offer
        • OfferCategory
        • ListingOffer
        • OfferParameter
        • OfferText
        • OfferParameterValue
        • OfferProduct
        • OfferSeller
        • ReplacementOffer
        • OfferRestriction
        • OfferSubscription
        • OfferWebhook
      • CarAttributes
        • CarBrand
        • CarModel
        • CarType
        • CarModelGroup
      • Parameters
        • Parameter
        • ParameterValue
      • Restrictions
        • IntegerRestrictions
        • FloatRestrictions
        • StringRestrictions
        • DisctionaryRestrictions
        • NumericRestrictions
        • Restrictions
      • Images
        • Image
        • ImageVariant
      • Filters
        • Filter
        • FilterValue
      • Listing
        • ListingFilterValue
        • RequestFilterValue
        • ListingSortingOption
        • ListingFilter
      • Products
        • ProductCategory
        • ListingProduct
        • Product
      • Batches
        • JobBatch
        • Job
      • Lang
      • Category
      • Pagination
      • Currency
      • AppId
      • RequestId
  1. offers

Get Offer

GET
/v1/offers/{id}
Last modified:2026-04-01 19:11:29

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Query Params

Header Params

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
    "meta": {
        "lang": "pl",
        "original_lang": "pl",
        "app_id": "affd1d10-9538-4fc8-9e0b-4594a28c1335",
        "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
    },
    "data": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "external_id": 0,
        "external_url": "http://example.com",
        "text_request_required": true,
        "text_request_endpoint": "http://example.com",
        "synced_at": "2019-08-24T14:15:22.123Z",
        "ended_at": "2019-08-24T14:15:22.123Z",
        "name": "string",
        "original_name": "string",
        "price": "string",
        "currency": "PLN",
        "category": {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "external_id": "string",
            "name": "string",
            "original_name": "string"
        },
        "restriction": {
            "reason": "string",
            "source": "string",
            "confidence": "string"
        },
        "product": {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "external_id": "string"
        },
        "seller": {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "external_id": "string"
        },
        "images": [
            {
                "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                "variants": {
                    "s256": {
                        "url": "http://example.com",
                        "external_url": "http://example.com"
                    },
                    "s512": {
                        "url": "http://example.com",
                        "external_url": "http://example.com"
                    },
                    "s1024": {
                        "url": "http://example.com",
                        "external_url": "http://example.com"
                    },
                    "source": {
                        "url": "http://example.com",
                        "external_url": "http://example.com"
                    }
                }
            }
        ],
        "parameters": [
            {
                "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                "name": "string",
                "unit": "string",
                "original_name": "string",
                "original_unit": "string",
                "values": [
                    {
                        "id": "string",
                        "value_id": "f0364b24-eaa7-4868-8878-708511209642",
                        "value_hash": "string",
                        "is_translatable": true,
                        "value": "string",
                        "original_value": "string"
                    }
                ]
            }
        ],
        "text": [
            {
                "items": [
                    {
                        "type": "TEXT",
                        "content": "string"
                    }
                ]
            }
        ],
        "replacement_offer": {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "external_id": 0,
            "external_url": "http://example.com"
        }
    }
}
🟠404Not Found
Modified at 2026-04-01 19:11:29
Previous
Offer Lookup
Next
Get Offer By External ID
Built with